<script>
    var idKelas = "{{ $idKelas ?? '' }}";

    $.getJSON(baseUrl+'/getKelasKomplit/'+'{{ session()->get("idPSekolah") }}', (result) => {
        if (result.error_code == '0') {
            let opt = '<option value="">- Pilih Kelas -</option>';
            // var dataSem = result.data;
            // dataSem.sort(function(a, b){
            //     return a.id_semester - b.id_semester;
            // });
            $.each(result.data, function(i, item) {
                opt += '<option value="'+item.id+'" ' + (item.id == idKelas ? 'selected' : '') + '>'+item.nama+'</option>';
            });
            $("#select-kodekelas").html(opt);
        }else{
            let opt = '<option value="">- Tidak Bisa -</option>';
            $("#select-kodekelas").html(opt);
        }
        $("#select-kodekelas").select2({
            placeholder: "Pilih Kelas",
        });
    });
</script>